Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225467 - at-spi-registryd dumps core with SIGABRT this time
Summary: at-spi-registryd dumps core with SIGABRT this time
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: at-spi
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 19:45 UTC by Michal Jaegermann
Modified: 2008-04-03 22:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-03 22:16:02 UTC


Attachments (Terms of Use)
full bt from gdb (deleted)
2007-02-28 15:23 UTC, Michal Babej
no flags Details

Description Michal Jaegermann 2007-01-30 19:45:59 UTC
Description of problem:

I did not that kind of backtrace so far:

Core was generated by `/usr/libexec/at-spi-registryd'.
Program terminated with signal 6, Aborted.
#0  0x0000003e0ac30355 in raise () from /lib64/libc.so.6
(gdb) where
#0  0x0000003e0ac30355 in raise () from /lib64/libc.so.6
#1  0x0000003e0ac31cd0 in abort () from /lib64/libc.so.6
#2  0x0000003e0d035045 in g_logv () from /lib64/libglib-2.0.so.0
#3  0x0000003e0d0350e3 in g_log () from /lib64/libglib-2.0.so.0
#4  0x0000003e0d035166 in g_assert_warning () from /lib64/libglib-2.0.so.0
#5  0x0000003891e2de66 in POA_Accessibility_Registry__init ()
   from /usr/lib64/libORBit-2.so.0
#6  0x0000003891e2deb1 in ORBit_RootObject_release ()
   from /usr/lib64/libORBit-2.so.0
#7  0x0000003893231bde in bonobo_object_release_unref ()
   from /usr/lib64/libbonobo-2.so.0
#8  0x0000000000408dce in POA_Accessibility_Registry__init ()
#9  0x0000003891e2f7ee in ORBit_small_invoke_adaptor ()
   from /usr/lib64/libORBit-2.so.0
#10 0x0000003891e3e735 in POA_Accessibility_Registry__init ()
   from /usr/lib64/libORBit-2.so.0
#11 0x0000003891e3ed1a in POA_Accessibility_Registry__init ()
   from /usr/lib64/libORBit-2.so.0
#12 0x0000003891e3f889 in POA_Accessibility_Registry__init ()
   from /usr/lib64/libORBit-2.so.0
#13 0x0000003891e409ed in ORBit_handle_request ()
   from /usr/lib64/libORBit-2.so.0
#14 0x0000003891e2bcb6 in giop_connection_handle_input ()
   from /usr/lib64/libORBit-2.so.0
#15 0x0000003891e46a20 in POA_Accessibility_Registry__init ()
   from /usr/lib64/libORBit-2.so.0
#16 0x0000003e0d02cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#17 0x0000003e0d02fd9d in POA_Accessibility_Registry__init ()
   from /lib64/libglib-2.0.so.0
#18 0x0000003e0d0300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#19 0x000000389322ce06 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#20 0x0000000000407fcd in POA_Accessibility_Registry__init ()
#21 0x0000003e0ac1d974 in __libc_start_main () from /lib64/libc.so.6
#22 0x00000000004041c9 in POA_Accessibility_Registry__init ()
#23 0x00007fff965a2ee8 in ?? ()
#24 0x0000000000000000 in ?? ()
(gdb)

I am afraid that I cannot tell much about circumstances.  I found
a core from yesterday doing a cleanup sweep.

Version-Release number of selected component (if applicable):
at-spi-1.7.16-1.fc7

How reproducible:
I do not know.

Comment 1 Michal Babej 2007-02-28 15:22:17 UTC
I have experienced a similar issue several times. I think that this occures on
shutting down the PC. Full bt attached.

Comment 2 Michal Babej 2007-02-28 15:23:30 UTC
Created attachment 148926 [details]
full bt from gdb

Comment 3 Bug Zapper 2008-04-03 19:00:03 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Michal Jaegermann 2008-04-03 22:16:02 UTC
No explicit response but I did not see that for quite a long while.
If somebody else did then please reopen.


Note You need to log in before you can comment on or make changes to this bug.